Subject: Re: [PATCH 01/71] gnu: Add asdf-build-system/clasp.

From: Guillaume Le Vaillant <[email-masked]>
Date: Wed, 09 Apr 2025 09:38:11 +0000

jgart <[email-masked]> skribis:

>> IIUC, some of the options we have are
>> 
>> 1. handling 'clasp-cl' in some special way in asdf-build-system
>
> Hi Guillaume, what do you think of option 1. that Liliana is suggesting?
>
> I could use some guidance here if I am changing something in the asdf-build-system.

Hi.
I think you will have to replace the form at line 250 in "guix/build-system/asdf.scm":

--8<---------------cut here---------------start------------->8---
(lisp (default-lisp (string->symbol lisp-type)))
--8<---------------cut here---------------end--------------->8---

by something like:

--8<---------------cut here---------------start------------->8---
(lisp (default-lisp
       (match lisp-type
         ("sbcl" 'sbcl)
         ("ecl" 'ecl)
         ("clasp" 'clasp-cl)
         (_ (error "The LISP provided is not supported at this time.")))))
--8<---------------cut here---------------end--------------->8---

This 'lisp' variable is used a little lower in the 'build-inputs' field
at line 266.